---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: workspaces
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/workspaces-backend:production_fef43835
        envs:
          - name: POSTGRES_ADDRESS
            value:
              _default: postgres-service
          - name: POSTGRES_PORT
            value:
              _default: "5432"
          - name: POSTGRES_DB
            value:
              _default: workspaces_db
          - name: POSTGRES_POOL_SIZE
            value:
              _default: "3"
          - name: BUNDLES_RETRY_COUNT
            value:
              _default: "5"
          - name: BUNDLES_NJOBS
            value:
              _default: "5"
          - name: API_ADDRESS
            value:
              _default: 0.0.0.0:8000
          - name: NAMESPACE
            value:
              _default: sarex-workspaces
          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"
          - name: ENABLE_SSL
            value:
              _default: "0"
          - name: DOCUMENTATION_HOST
            value:
              _default: http://documentations-service.documentations.svc.cluster.local:8080
          - name: DOCUMENTATION_LOGGER_FEATURE
            value:
              _default: "0"
          - name: DOCUMENTATION_ORIGINATOR
            value:
              _default: prod_ws
          - name: ENVIRONMENT
            value:
              _default: prod
          - name: DJANGO_HOST
            value:
              _default: http://backend.django.svc.cluster.local:8000
          - name: DJANGO_ORIGINATOR
            value:
              _default: docs_prod
